Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884744 - Login session timeout does not take the previous user to the login page. When clicking an action an error message appears.
Summary: Login session timeout does not take the previous user to the login page. Whe...
Keywords:
Status: CLOSED EOL
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: 2.0.0
Assignee: Angus Thomas
QA Contact: Rehana
URL:
Whiteboard:
: 880775 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 16:26 UTC by Brett Thurber
Modified: 2020-03-27 19:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:38:16 UTC


Attachments (Terms of Use)
Session timeout action error. (67.29 KB, image/png)
2012-12-06 16:26 UTC, Brett Thurber
no flags Details

Description Brett Thurber 2012-12-06 16:26:55 UTC
Created attachment 658849 [details]
Session timeout action error.

Description of problem:
The following error occurs when a login session timeout occurs when clicking an action within the conductor interface such as stopping an instance:

Unknown action
The action "18" could not be found for InstancesController.

Version-Release number of selected component (if applicable):
CF 1.1 Beta 6

How reproducible:
Consistently.

Steps to Reproduce:
1.  Login to the conductor interface.
2.  Proceed to a screen that allows for an action such as stopping an instance.
3.  Wait for the session timeout period to occur.
4.  Click stop for the instance to generate error.
  
Actual results:
Unknown action
The action "18" could not be found for InstancesController.

Expected results:
1.  Session timeout occurs, user taken back to login screen.
2.  Clicking an action takes user to login screen.

Additional info:
Screen cap attached.

Comment 2 Dave Johnson 2013-01-21 17:14:03 UTC
*** Bug 880775 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.